## strcat

#### OS/161 Reference Manual

### Name

strcat - concatenate strings

### Library

Standard C Library (libc, -lc)

### Synopsis

#include <string.h>
char *
strcat(char *dest, const char *src);

### Description

strcat appends the contents of the string src to the string dest.

### Restrictions

If dest does not point to enough space to hold both strings, the resulting behavior is undefined.

If the memory areas pointed to by dest and src overlap, the behavior is undefined.

### Return Values

strcat returns dest.